AXS(1)

NAME
axs - the afnix cross spreadsheet

SYNOPSIS
axs [ options ] [ file [ arguments ] ]

DESCRIPTION
axs invokes the AFNIX cross spreadsheet. The axs client is a font-end tool for the AFNIX spreadsheet library. The command tool is built on top of the AFNIX interpreter and therefore supports all the language capabilities. The spreadsheet commands are meant to provide an extra layer of interface that ease the access to a folio sheets.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-i path
    add a path to the resolver.

-e mode
    force the encoding mode. The mode can be either "DEFAULT" or "ISO-XX" where XX is the ISO-8859 codeset. The UTF-8 mode can also be forced with the string "UTF-08". For example, the "ISO-01" forces the ISO-8859-1 transcoding mode with a stream operating in byte mode.

-f assert
    enable assertion checking.

OPERATIONS
All commands are special forms located in the axs nameset. A qualified name is required to issue a command. A list with the principal commands available is given below. Since the command interpreter is built on top of the Afnix interpreter, the full power of the interpreter is available at the command prompt.

axs:new
    create a new folio.

axs:open
    open a folio.

axs:save
    save a folio.

axs:info
    report information about the current folio

axs:create
    create a new sheet.

axs:import
    import data into a sheet.

axs:export
    export data from a sheet.

axs:select
    select a default sheet.

axs:insert
    insert data into the current sheet.

axs:insert-marker
    insert marker data into the current sheet.

axs:insert-header
    insert header data into the current sheet.

axs:insert-footer
    insert footer data into the current sheet.

axs:list
    report information about the folio contents.

axs:view
    display the sheet contents.

VERSION
The current version is 1.4.3

SEE ALSO
axc(1), axd(1), axi(1), axl(1)

NOTES
AFNIX comes with an extensive documentation. The documentation is available on line at http://www.afnix.org or in the doc directory in the form of formated xhtml documents.

AUTHOR
AFNIX has been written by Amaury Darsch <amaury@afnix.org>.

HISTORY
AFNIX was originally called the Aleph programming language which has been discontinued on January 2006 when the 1.0.0 version was released.